import flowService from '@/webflow/flow-service'
import routerService from '@/common/services/router-service'
import './css/iam-audit-custom.scss'
import asyncComponent from '@/common/services/async-component'

// 审计资源-审计机构库列表
routerService.routeInFrame('iam-audit-auditsource-org-list', {
  component: './org/iam-audit-auditsource-org-list.vue',
})
// 审计资源-审计机构库表单
routerService.routeInFrame('iam-audit-auditsource-org-form', {
  component: './org/iam-audit-auditsource-org-form.vue',
})

// 审计资源-法律法规库
routerService.routeInFrame('iam-audit-auditsource-law-list', {
  component: './law/iam-audit-auditsource-law-list.vue',
})
// 审计资源-法律法规库
routerService.routeInFrame('iam-audit-auditsource-law-form', {
  component: './law/iam-audit-auditsource-law-form.vue',
})
// 审计资源-法律法规分类
routerService.routeInFrame('iam-audit-auditsource-lawcategory-form', {
  component: './law/iam-audit-auditsource-lawcategory-form.vue',
})

// 审计资源-内部制度规库
routerService.routeInFrame('iam-audit-auditsource-institution-list', {
  component: './institution/iam-audit-auditsource-institution-list.vue',
})
// 审计资源-内部制度规库
routerService.routeInFrame('iam-audit-auditsource-institution-form', {
  component: './institution/iam-audit-auditsource-institution-form.vue',
})

// 审计资源-内部制度规分类
routerService.routeInFrame('iam-audit-auditsource-institutioncategory-form', {
  component: './institution/iam-audit-auditsource-institutioncategory-form.vue',
})

// 审计资源-法规制度查询
routerService.routeInFrame('iam-audit-auditsource-lawinstitutionquery-list', {
  component: './lawinstutionquery/iam-audit-auditsource-lawinstitutionquery-list.vue',
})
// 新增导航
// 审计资源-法律法规库
routerService.routeInFrame('iam-ic-auditsource-law-list', {
  component: './law/iam-audit-auditsource-law-list.vue',
})
// 审计资源-内部制度规库
routerService.routeInFrame('iam-ic-auditsource-institution-list', {
  component: './institution/iam-audit-auditsource-institution-list.vue',
})
// 审计资源-法规制度查询
routerService.routeInFrame('iam-ic-auditsource-lawinstitutionquery-list', {
  component: './lawinstutionquery/iam-audit-auditsource-lawinstitutionquery-list.vue',
})
// excel导入
routerService.routeInFrame('audit-excelconfig-list', {
  component: './excelconfig/audit-excelconfig-list.vue',
})

// tree组件配置
routerService.routeInFrame('iam-audit-treeconfig', {
  component: './treeconfig/iam-audit-treeconfig.vue',
})

// treelist组件配置
routerService.routeInFrame('iam-audit-treelistconfig', {
  component: './treelistconfig/iam-audit-treelistconfig.vue',
})

// 通用选择组件配置
routerService.routeInFrame('iam-audit-chooseconfig', {
  component: './chooseconfig/iam-audit-chooseconfig.vue',
})

// 通用excel导入组件配置
routerService.routeInFrame('iam-audit-chooseconfig', {
  component: './chooseconfig/iam-audit-chooseconfig.vue',
})

routerService.routeInFrame('iam-audit-excelexportconfig', {
  component: './excelexportconfig/iam-audit-excelexportconfig.vue',
})

// 模块配置
routerService.routeInFrame('iam-audit-moduleconfig', {
  component: './moduleconfig/iam-audit-moduleconfig.vue',
})

// 分级授权
routerService.routeInFrame('permissionConfig', {
  component: './permission/permission-config.vue',
})

// 全文检索
routerService.route('/oa-full-search', {
  name: 'fullSearch',
  component: './fullsearch/oa-full-search.vue',
})

routerService.route('/sd-frame').child('oa-search-source', {
  component: './search-source-config/oa-search-source.vue',
})

// 帆软报表文件配置页面
routerService.routeInFrame('iam-finereport-form', {
  component: './finereport/iam-dm-finereport-form.vue',
})
routerService.routeInFrame('iam-finereport-list', {
  component: './finereport/iam-dm-finereport-list.vue',
})

// 跳转帆软报表
routerService.routeInFrame('iam-finereport-link', {
  component: './finereport/iam-dm-finereport-link.vue',
})
